## org.apache.lucene.sandbox.queries
Class SlowCollatedStringComparator

    java.lang.Object
      org.apache.lucene.search.FieldComparator<String>
          org.apache.lucene.sandbox.queries.SlowCollatedStringComparator

Deprecated. Index collation keys with CollationKeyAnalyzer or ICUCollationKeyAnalyzer instead. This class will be removed in Lucene 5.0

    @Deprecated
    public final class SlowCollatedStringComparator

extends FieldComparator<String>

Sorts by a field's value using the given Collator

WARNING: this is very slow; you'll get much better performance using the CollationKeyAnalyzer or ICUCollationKeyAnalyzer.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.FieldComparator
`FieldComparator.ByteComparator, FieldComparator.DocComparator, FieldComparator.DoubleComparator, FieldComparator.FloatComparator, FieldComparator.IntComparator, FieldComparator.LongComparator, FieldComparator.NumericComparator<T extends Number>, FieldComparator.RelevanceComparator, FieldComparator.ShortComparator, FieldComparator.TermOrdValComparator, FieldComparator.TermValComparator`

Constructor Summary
`SlowCollatedStringComparator(int numHits, String field, Collator collator)` Deprecated.

Method Summary
`int` `compare(int slot1, int slot2)` Deprecated.
`int` `compareBottom(int doc)` Deprecated.
`int` `compareDocToValue(int doc, String value)` Deprecated.
`int` `compareValues(String first, String second)` Deprecated.
`void` `copy(int slot, int doc)` Deprecated.
`void` `setBottom(int bottom)` Deprecated.
`FieldComparator<String>` `setNextReader(AtomicReaderContext context)` Deprecated.
`String` `value(int slot)` Deprecated.

Methods inherited from class org.apache.lucene.search.FieldComparator
`setScorer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlowCollatedStringComparator

    public SlowCollatedStringComparator(int numHits,
                                        String field,
                                        Collator collator)

  Deprecated.

Method Detail

### compare

    public int compare(int slot1,
                       int slot2)

  Deprecated.
  Specified by:
    `compare` in class `FieldComparator<String>`

### compareBottom

    public int compareBottom(int doc)

  Deprecated.
  Specified by:
    `compareBottom` in class `FieldComparator<String>`

### copy

    public void copy(int slot,
                     int doc)

  Deprecated.
  Specified by:
    `copy` in class `FieldComparator<String>`

### setNextReader

    public FieldComparator<String> setNextReader(AtomicReaderContext context)
                                          throws IOException

  Deprecated.
  Specified by:
    `setNextReader` in class `FieldComparator<String>`
  Throws:
    `IOException`

### setBottom

    public void setBottom(int bottom)

  Deprecated.
  Specified by:
    `setBottom` in class `FieldComparator<String>`

### value

    public String value(int slot)

  Deprecated.
  Specified by:
    `value` in class `FieldComparator<String>`

### compareValues

    public int compareValues(String first,
                             String second)

  Deprecated.
  Overrides:
    `compareValues` in class `FieldComparator<String>`

### compareDocToValue

    public int compareDocToValue(int doc,
                                 String value)

  Deprecated.
  Specified by:
    `compareDocToValue` in class `FieldComparator<String>`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.